The Spring Framework

## org.springframework.orm.jpa
Interface EntityManagerFactoryPlus

All Superinterfaces:
  javax.persistence.EntityManagerFactory, EntityManagerFactoryPlusOperations

    public interface EntityManagerFactoryPlus

extends javax.persistence.EntityManagerFactory, EntityManagerFactoryPlusOperations

Extension of the standard JPA EntityManagerFactory interface, linking in Spring's EntityManagerFactoryPlusOperations interface which defines additional operations (beyond JPA 1.0) in a vendor-independent fashion.

Since:
  2.0
Author:
  Rod Johnson
See Also:
  `EntityManager`

Method Summary

Methods inherited from interface javax.persistence.EntityManagerFactory
`close, createEntityManager, createEntityManager, isOpen`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.